<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content>
  <div class="container">
    <div>
      <form [formGroup]="loginForm" (ngSubmit)="submitLogin()">
        <div style="max-width: 70px; margin: auto">
          <ion-img [src]="logoSource" class="ion-margin-bottom"></ion-img>
        </div>
        <div
          style="font-size: 1rem; font-family: sans-serif; margin-bottom: 1rem"
        >
          <ion-text class="title">cruzine.cafe</ion-text>
        </div>

        <ion-item lines="full">
          <ion-label position="floating">Username</ion-label>
          <ion-input type="text" formControlName="username"></ion-input>
        </ion-item>

        <ion-item lines="full">
          <ion-label position="floating">Password</ion-label>
          <ion-input type="password" formControlName="password"></ion-input>
        </ion-item>

        <ion-row>
          <ion-col>
            <ion-button type="submit" color="tertiary" expand="block"
              ><ion-icon style="margin-right: 5px" name="log-in"></ion-icon
              ><ion-text style="text-transform: none"
                >Log in</ion-text
              ></ion-button
            >
          </ion-col>
        </ion-row>
      </form>
    </div>
    <ion-item-divider></ion-item-divider>
    <ion-row>
      <ion-col>
        <ion-button type="button" (click)="signInWithFb()" expand="block">
          <ion-text style="text-transform: none">Log in with</ion-text>
          <ion-icon style="margin-left: 5px" name="logo-facebook"></ion-icon>
          <ion-text style="text-transform: none">acebook</ion-text>
        </ion-button>
      </ion-col>
    </ion-row>
  </div>
</ion-content>
